Page MenuHomePhabricator

[REQUEST] Review Translatable modules proposal
Closed, ResolvedPublic

Description

What's requested:

Review a draft proposal for translatable modules.

Context: T238417, T258792.

Why it's requested:

I was told that the Editing team is the owner of the Scribunto extension, at least in some formal way, and this extension will be affected by this project.

Deadline for request:

August 24.

Other helpful information:

Start at T238417, ask @Amire80 for clarification if needed.

Event Timeline

Amire80 created this task.Aug 14 2020, 8:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 14 2020, 8:29 PM

Thank you for creating this, @Amire80.

RE the timing of this request, can we extend the deadline four days to 28-August? I will be OoO from 17-August through the first half of 24-August and would value having time when I return to review this.

matmarex removed matmarex as the assignee of this task.Aug 24 2020, 5:40 PM
matmarex added a subscriber: matmarex.

(We've discussed this briefly in the engineering meeting last week, this is the summary as I remember it:)

I think we've gotten ourselves marked as the owner of everything parser-related, including Scribunto, so that we could review any proposed changes to the syntax with regards to their compatibility with VisualEditor. And from that angle, it obviously looks okay, as modules are rarely used directly in articles anyway and can't be edited visually themselves.

If you're planning to also create global templates and not just modules (the scope of the proposal is somewhat unclear), then you'll have to think about how to surface that in VE's template search and template information.

I don't think we have any other insights; you might want to talk to the Parsing team or the Core Platform team for technical feedback instead.

(We've discussed this briefly in the engineering meeting last week, this is the summary as I remember it:)

I think we've gotten ourselves marked as the owner of everything parser-related, including Scribunto, so that we could review any proposed changes to the syntax with regards to their compatibility with VisualEditor. And from that angle, it obviously looks okay, as modules are rarely used directly in articles anyway and can't be edited visually themselves.

Thanks!

If you're planning to also create global templates and not just modules (the scope of the proposal is somewhat unclear), then you'll have to think about how to surface that in VE's template search and template information.

The scope here is definitely not global templates and not even global modules. The scope here is only conveniently translatable modules (not templates), and only within one wiki.

Some day—yes, there should definitely be global modules and templates, but not within this task. This task is hopefully a step in that direction.

ppelberg closed this task as Resolved.Aug 26 2020, 3:15 PM
ppelberg claimed this task.

@Amire80, to affirm what @matmarex shared T260459#6407160, from VE's perspective, the Editing Team sees no issues with the changes proposed in translatable modules doc, considering we read them as being limited to content/components that are almost never exposed within content pages.

Please let us know if any other questions arise as you continue down this path.